## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hyprcursor
Version:        0.1.7
Release:        %autorelease
Summary:        The hyprland cursor format, library and utilities

License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprcursor
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# test data
Source:         HyprBibataModernClassicSVG.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(hyprlang)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(tomlplusplus)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -p1 -a1
mkdir -p $HOME/.icons
mv HyprBibataModernClassicSVG $HOME/.icons

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_bindir}/hyprcursor-util
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.0

%files devel
%{_includedir}/%{name}.hpp
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Tue Apr 09 2024 Pavel Solovev <daron439@gmail.com> - 0.1.7-1
- Update to 0.1.7

* Sun Apr 07 2024 Pavel Solovev <daron439@gmail.com> - 0.1.6-2
- fix sources

* Sun Apr 07 2024 Pavel Solovev <daron439@gmail.com> - 0.1.6-1
- Update to 0.1.6

* Sun Mar 24 2024 Pavel Solovev <daron439@gmail.com> - 0.1.5-1
- Update to 0.1.5

* Mon Mar 18 2024 Pavel Solovev <daron439@gmail.com> - 0.1.4-1
- import rhbz#2269327
## END: Generated by rpmautospec
